Contract Create

An endpoint that accepts an application payload for a customer wishing to enter a buy-now-pay-later journey. The endpoint returns a redirect URL that takes the customer through a series of screens to complete the process.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
amount
object
required
string
enum
required

The format of the amount provided. MINOR_UNIT = amount is an integer of the minor unit of the currency. eg 1000 is 10CHF. DECIMAL = Decimal representation as string. e.g. "10.00" is 10CHF

  • MINOR_UNIT - MINOR_UNIT
  • DECIMAL - DECIMAL
Allowed:
redirect_urls
object
required

URLs used to redirect the user back to the merchant site.

customer_details
object
existing_contract_info
object
products
array of objects
products
string

A reference number/code that is unique to this order

string

High-level description of the order for the user.

webhooks
object
billing_address
object
string

We recommend supplying this parameter as it may allow us to correct errors in the provided address format and increase the likelihood of credit checks passing. This field should contain the billing address serialized in the native format of the ecommerce platform being used.

shipping_address
object
string

We recommend supplying this parameter as it may allow us to correct errors in the provided address format and increase the likelihood of credit checks passing. This field should contain the shipping address serialized in the native format of the ecommerce platform being used.

client_metadata
object
string
enum

Deprecated. Use language instead.

  • en-gb - British English
  • fr - French
  • de - German
  • it - Italian
Allowed:
string
enum

If provided, it must be in ISO 639-1. For example:

  • en - English
  • fr - French
  • de - German
  • en-gb - British English
  • it - Italian
Allowed:
string
Defaults to ecommerce

A reference number/code that the merchant assigns to a store

string
Defaults to ecommerce

The merchant store name, stored on the merchant user object

string
Defaults to ecommerce

The merchant store number, stored on the merchant user object

string
allowed_terms
array of integers | null
allowed_terms
string
uuid | null
boolean

Pass True to override the delayed finalisation setting. With delayed finalisation of the contract the merchant later confirms availability of the goods with payment captured only upon confirmation

string
enum

If provided, it must be BNPL or CREDIT

  • BNPL - BNPL
  • CREDIT - CREDIT
Allowed:
string | null
string | null

Order Discount Amount in decimal format (2dp)

date | null

For service products, this is the date the service starts format: YYYY-MM-DD.

date | null

For service products, this is the date the service ends format: YYYY-MM-DD.

string

Bank account number for the customer if applicable.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json